Jump to content

Installing Agent 7.1 CentOS 8 openssl error


Recommended Posts

hi there

i recently try to install agent ver 7.1 on my centos server,

but after run the installation script, proccess fail with checking openssl error

installation log contain folowing :

2020-10-04 02:27:45 Information: DepCheckOpenSSL: Action invoked with:  --ca-password ********** --cert-auth-content ********** --cert-auth-path "" --cert-auth-temp-path "" --cert-content ********** --cert-password ********** --cert-password-is-base64 ********** --cert-path "" --cert-temp-path "" --cert-to-check-password ********** --cert-to-check-path "" --computer-added-uuid "" --computer-group-choice DEFAULT --connection-chosen host --create-ca 0 --current-version 7.0.471.0 --db-connectors-dir "" --db-path /var/opt/eset/RemoteAdministrator/Agent/data.db --db-scripts-dir /opt/eset/RemoteAdministrator/Agent/setup/Database --db-type SQLite --db-upgrade "" --enable-telemetry 0 --era-lib-dir /opt/eset/RemoteAdministrator/Agent/ --hostname "" --initial-static-group "" --installed "" --installed-version "" --log-sequence-id "" --modules-dir /var/opt/eset/RemoteAdministrator/Agent/Modules/ --port 2222 --product-guid "" --product-name Agent --proxy-http-hostname "" --proxy-http-password ********** --proxy-http-port 3128 --proxy-http-username ********** --replication-interval "" --server-cert-temp-path "" --upgrade "" --use-proxy 0 --webconsole-hostname "" --webconsole-password ********** --webconsole-port 2223 --webconsole-use-domain "" --webconsole-user Administrator
2020-10-04 02:27:45 Error: DepCheckOpenSSL: Error getting OpenSSL version
2020-10-04 02:27:45 Information: Installer: Failed dependency check for OpenSSL.
2020-10-04 02:27:45 Information: Installer: 1072: Error occurred while checking OpenSSL
2020-10-04 02:27:45 Information: Installer: Cleaning up setup directories
 

Any ideas?

 

Link to post
Share on other sites
  • Administrators

First of all, please make sure to install agent 7.2. Version 7.1 is old and Endpoint will notify you to upgrade anyways.

Link to post
Share on other sites

thank  you marcos 

i used ver 7.2 and get the same error,

my openssl version is 1.0.2 and install it from source because my os had version 1.1.1 and it did not compatible with agent installer

openssl bin dir is in path and i can run openssl command from every directory

Link to post
Share on other sites
  • ESET Staff

Could you please provide opr check installer log located here:

/var/log/eset/RemoteAdministrator/EraAgentInstaller.log

for more details? It should be clear from log whether OpenSSL was not even found, or other library checks failed.

Also note that ESMC 7.1 is supposed to support OpenSSL 1.1 from official distribution package repository, so I would recommend to stick with it in case custom build was made just for AGENT to work properly.

Link to post
Share on other sites

thanks for reply

Then you suggest to install openssl from yum repository!?

In yum repository I just found version 1.1.1 and up and in document said that this version is not compatible with era agent,

i attach a screenshot from yum info and my openssl version

openssl.jpg

EraAgentInstaller.log

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...